WordPress.org

Support

Support » Plugins and Hacks » 2.7-Forward-Compatibility: register_setting ???

2.7-Forward-Compatibility: register_setting ???

  • Erunafailaro
    Member

    @erunafailaro

    Hi board,

    I’m currently using WP2.7 and I am trying to get all my own plugins in conformance with this article from the codex.

    I wonder if anyone here has already tried to add the function register_setting() to their plugin?

    When I try this as it is described in the article, I get the following error with my self-hosted single blog WP2.7 installation:

    Fatal error: Call to undefined function register_setting() in /htdocs/wp-content/plugins/feed-reading-blogroll/feedreading_blogroll.php on line 33

    Now I wonder how this function could possibly be undefined. As far as I can see, it is defined in /wp-admin/includes/plugin.php on line 927.

    I think I am using the function in a way, that is not intended by the developers. Or is this function only intended for WPMU-installtions?

    Is there another plugin-developer here who is already using this function? If yes, could you tell me, which plugin is using it, so I could have a look?

Viewing 4 replies - 1 through 4 (of 4 total)
Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘2.7-Forward-Compatibility: register_setting ???’ is closed to new replies.